---
id: tooling-integration
title: Tooling Integration
permalink: docs/tooling-integration.html
prev: more-about-refs.html
next: language-tooling.html
---

We've tried to make React as environment-agnostic as possible. People use React in a variety of languages (JavaScript, TypeScript, ClojureScript, etc) and in a variety of environments (web, iOS, Android, NodeJS, Nashorn, etc). There are many tools to help you build great applications. In these sections we introduce some of the tools that are most commonly used together with React.

* [Language Tooling](/react/docs/language-tooling.html) describes how to set up tools like Babel to transpile JSX for a better development experience.
* [Package Management](/react/docs/package-management.html) describes how to configure React as a dependency of your project.
* [Server-side Environments](/react/docs/environments.html) describes how to configure your environment for server-side rendering with React.
